package com.xjrsoft.common.enums;

/**
 * @description：考勤节点
 * @author： phoenix
 * @create： 2023/12/19 9:42
 * @Version 1.0
 */
public enum AttendanceNodeEnum {
    /*
     *  上班打卡
     * */
    STARTWORK("start_work", "上班打卡"),
    /*
     *  下班打卡
     * */
    ENDWORK("end_work", "下班打卡");

    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    AttendanceNodeEnum(final String code, final String message) {
        this.code = code;
        this.value = message;
    }
}
